Page MenuHomePhabricator

Onboard new hire for Community Tech
Closed, ResolvedPublic

Description

  • Add to relevant calendar invites: standup, weekly meetings, etc. (Kaldari)
  • Add to team page on meta and team page on mw.org (Danny)
  • Explain team development cycle and Phabricator workflow (Kaldari)
  • Make sure new hire is subscribed to commtech mailing list and wikitech-l (Danny)
  • Product overview (Niharika, Danny)
  • Make sure new hire knows about useful IRC channels (Kaldari)
  • Get new hire set up with Vagrant (Bryan)
  • Get new hire added to "wmf" LDAP group.
  • Get new hire set up with Gerrit access. Explore Gerrit workflow. Review Gerrit tutorial. Explain how to watch projects. (Niharika)
  • Have new hire fix a small MediaWiki bug and get the fix merged.
  • Send out email to wmf-all announcing new hire. (Kaldari)
  • Add to Community-Tech and Community-Tech-Sprint workboards. (Danny)

Event Timeline

kaldari created this task.May 26 2016, 1:06 AM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 26 2016, 1:06 AM
kaldari updated the task description. (Show Details)May 26 2016, 1:08 AM
kaldari updated the task description. (Show Details)May 26 2016, 1:13 AM
kaldari updated the task description. (Show Details)

I can do the MediaWiki-Vagrant walkthrough. Are you going to handle setting up blocks of time @kaldari? We probably need ~45 minutes to get things going.

I can do an overview of production logging and logstash/kibana too at some point.

bd808 updated the task description. (Show Details)May 27 2016, 5:33 PM
kaldari updated the task description. (Show Details)May 27 2016, 6:09 PM

@bd808: I'll schedule a block of time on the calendar for the Vagrant walkthru. I won't be on the first day though.

kaldari updated the task description. (Show Details)May 31 2016, 4:37 PM
kaldari updated the task description. (Show Details)May 31 2016, 4:49 PM
kaldari updated the task description. (Show Details)

Possible on-boarding tasks:

  • T120407 - Create a report interface for PageAssessments (will need Vagrant set up)
  • T136117 - Make OAuth session persistent in CopyPatrol
kaldari updated the task description. (Show Details)May 31 2016, 11:16 PM
kaldari updated the task description. (Show Details)May 31 2016, 11:23 PM
kaldari updated the task description. (Show Details)Jun 1 2016, 12:05 AM

Possible on-boarding tasks:

  • T120407 - Create a report interface for PageAssessments (will need Vagrant set up)
  • T136117 - Make OAuth session persistent in CopyPatrol

And T132949: Create an output API for Earwig's Copyvio Detector Tool

kaldari updated the task description. (Show Details)Jun 1 2016, 10:14 PM

Talked with @Niharika and I think T120407 could be fun. Though I'd still be interested in starting with something really small just to get my feet wet :)

DannyH updated the task description. (Show Details)Jun 6 2016, 10:05 PM
kaldari updated the task description. (Show Details)Jun 7 2016, 5:05 PM
kaldari updated the task description. (Show Details)Jun 7 2016, 10:24 PM

@MusikAnimal: Has everything on the list above been covered now?

kaldari closed this task as Resolved.Jun 9 2016, 9:56 PM
kaldari claimed this task.
kaldari updated the task description. (Show Details)
kaldari edited projects, added Community-Tech; removed Community-Tech-Sprint.
kaldari moved this task from Untriaged to Archive on the Community-Tech board.
DannyH updated the task description. (Show Details)Jun 20 2016, 8:35 PM